/*
 * Created on 2006/12/02
 *
 *
 * Copyright(c) 2006 Yoshimasa Matsumoto
 */
package netwatcher.networkcamera.model;

import java.net.Authenticator;
import java.net.PasswordAuthentication;

public class HttpAuthenticator extends Authenticator {

	private String username;
	private String password;
	public HttpAuthenticator(String username, String password){
	         this.username = username;
	         this.password = password;
	}
	protected PasswordAuthentication getPasswordAuthentication(){
	         return new
	         PasswordAuthentication(username, password.toCharArray());
	}
	public String myGetRequestingPrompt(){
	         return super.getRequestingPrompt();
	}

}
